# site

## GET /site/

> Site-wide variables

```json
{"openapi":"3.1.1","info":{"title":"uData API","version":"1.0"},"tags":[{"description":"Site global namespace","name":"site"}],"servers":[{"url":"http://www.data.gouv.fr/api/1"}],"paths":{"/site/":{"get":{"operationId":"get_site","parameters":[{"schema":{"type":"string","format":"mask"},"description":"An optional fields mask","in":"header","name":"X-Fields"}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Site%20%28read%29"}}}}},"summary":"Site-wide variables","tags":["site"]}}},"components":{"schemas":{}}}
```

## Return the RDF catalog in the requested format

> Filtering, sorting and paginating abilities apply to the datasets elements.

```json
{"openapi":"3.1.1","info":{"title":"uData API","version":"1.0"},"tags":[{"description":"Site global namespace","name":"site"}],"servers":[{"url":"http://www.data.gouv.fr/api/1"}],"paths":{"/site/catalog.{_format}":{"get":{"description":"Filtering, sorting and paginating abilities apply to the datasets elements.","operationId":"get_site_rdf_catalog_format","parameters":[{"schema":{"type":"string"},"description":"The search query","in":"query","name":"q"},{"schema":{"type":"string","enum":["title","created","last_update","reuses","followers","views","-title","-created","-last_update","-reuses","-followers","-views"]},"description":"The field (and direction) on which sorting apply","in":"query","name":"sort"},{"schema":{"type":"integer","default":1},"description":"The page to display","in":"query","name":"page"},{"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"in":"query","name":"tag"},{"schema":{"type":"string"},"in":"query","name":"license"},{"schema":{"type":"boolean"},"description":"If set to true, it will filter on featured datasets only. If set to false, it will exclude featured datasets.","in":"query","name":"featured"},{"schema":{"type":"string"},"in":"query","name":"geozone"},{"schema":{"type":"string"},"in":"query","name":"granularity"},{"schema":{"type":"string"},"in":"query","name":"temporal_coverage"},{"schema":{"type":"string","enum":["open","open_with_account","restricted"]},"in":"query","name":"access_type"},{"schema":{"type":"string"},"in":"query","name":"organization"},{"schema":{"type":"string","enum":["pivotal-data","spd","inspire","hvd","sl","sr"]},"in":"query","name":"badge"},{"schema":{"type":"string","enum":["public-service","certified","association","company","local-authority"]},"in":"query","name":"organization_badge"},{"schema":{"type":"string"},"in":"query","name":"owner"},{"schema":{"type":"string"},"description":"(beta, subject to change/be removed)","in":"query","name":"followed_by"},{"schema":{"type":"string"},"in":"query","name":"format"},{"schema":{"type":"string"},"in":"query","name":"schema"},{"schema":{"type":"string"},"in":"query","name":"schema_version"},{"schema":{"type":"string"},"in":"query","name":"topic"},{"schema":{"type":"string"},"in":"query","name":"credit"},{"schema":{"type":"string"},"in":"query","name":"dataservice"},{"schema":{"type":"string"},"in":"query","name":"reuse"},{"schema":{"type":"boolean"},"description":"If set to true, it will filter on archived datasets only. If set to false, it will exclude archived datasets. User must be authenticated and results are limited to user visibility","in":"query","name":"archived"},{"schema":{"type":"boolean"},"description":"If set to true, it will filter on deleted datasets only. If set to false, it will exclude deleted datasets. User must be authenticated and results are limited to user visibility","in":"query","name":"deleted"},{"schema":{"type":"boolean"},"description":"If set to true, it will filter on private datasets only. If set to false, it will exclude private datasets. User must be authenticated and results are limited to user visibility","in":"query","name":"private"},{"schema":{"type":"integer","default":100},"description":"The page size","in":"query","name":"page_size"}],"responses":{"200":{"description":"Success"}},"summary":"Return the RDF catalog in the requested format","tags":["site"]}}}}
```

## GET /site/catalog

> Root RDF endpoint with content negociation handling

```json
{"openapi":"3.1.1","info":{"title":"uData API","version":"1.0"},"tags":[{"description":"Site global namespace","name":"site"}],"servers":[{"url":"http://www.data.gouv.fr/api/1"}],"paths":{"/site/catalog":{"get":{"operationId":"get_site_rdf_catalog","parameters":[{"schema":{"type":"string"},"description":"The search query","in":"query","name":"q"},{"schema":{"type":"string","enum":["title","created","last_update","reuses","followers","views","-title","-created","-last_update","-reuses","-followers","-views"]},"description":"The field (and direction) on which sorting apply","in":"query","name":"sort"},{"schema":{"type":"integer","default":1},"description":"The page to display","in":"query","name":"page"},{"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"in":"query","name":"tag"},{"schema":{"type":"string"},"in":"query","name":"license"},{"schema":{"type":"boolean"},"description":"If set to true, it will filter on featured datasets only. If set to false, it will exclude featured datasets.","in":"query","name":"featured"},{"schema":{"type":"string"},"in":"query","name":"geozone"},{"schema":{"type":"string"},"in":"query","name":"granularity"},{"schema":{"type":"string"},"in":"query","name":"temporal_coverage"},{"schema":{"type":"string","enum":["open","open_with_account","restricted"]},"in":"query","name":"access_type"},{"schema":{"type":"string"},"in":"query","name":"organization"},{"schema":{"type":"string","enum":["pivotal-data","spd","inspire","hvd","sl","sr"]},"in":"query","name":"badge"},{"schema":{"type":"string","enum":["public-service","certified","association","company","local-authority"]},"in":"query","name":"organization_badge"},{"schema":{"type":"string"},"in":"query","name":"owner"},{"schema":{"type":"string"},"description":"(beta, subject to change/be removed)","in":"query","name":"followed_by"},{"schema":{"type":"string"},"in":"query","name":"format"},{"schema":{"type":"string"},"in":"query","name":"schema"},{"schema":{"type":"string"},"in":"query","name":"schema_version"},{"schema":{"type":"string"},"in":"query","name":"topic"},{"schema":{"type":"string"},"in":"query","name":"credit"},{"schema":{"type":"string"},"in":"query","name":"dataservice"},{"schema":{"type":"string"},"in":"query","name":"reuse"},{"schema":{"type":"boolean"},"description":"If set to true, it will filter on archived datasets only. If set to false, it will exclude archived datasets. User must be authenticated and results are limited to user visibility","in":"query","name":"archived"},{"schema":{"type":"boolean"},"description":"If set to true, it will filter on deleted datasets only. If set to false, it will exclude deleted datasets. User must be authenticated and results are limited to user visibility","in":"query","name":"deleted"},{"schema":{"type":"boolean"},"description":"If set to true, it will filter on private datasets only. If set to false, it will exclude private datasets. User must be authenticated and results are limited to user visibility","in":"query","name":"private"},{"schema":{"type":"integer","default":100},"description":"The page size","in":"query","name":"page_size"}],"responses":{"200":{"description":"Success"}},"summary":"Root RDF endpoint with content negociation handling","tags":["site"]}}}}
```

## GET /site/datasets.csv

>

```json
{"openapi":"3.1.1","info":{"title":"uData API","version":"1.0"},"tags":[{"description":"Site global namespace","name":"site"}],"servers":[{"url":"http://www.data.gouv.fr/api/1"}],"paths":{"/site/datasets.csv":{"get":{"operationId":"get_site_datasets_csv","responses":{"200":{"description":"Success"}},"tags":["site"]}}}}
```

## GET /site/harvests.csv

>

```json
{"openapi":"3.1.1","info":{"title":"uData API","version":"1.0"},"tags":[{"description":"Site global namespace","name":"site"}],"servers":[{"url":"http://www.data.gouv.fr/api/1"}],"paths":{"/site/harvests.csv":{"get":{"operationId":"get_site_harvests_csv","responses":{"200":{"description":"Success"}},"tags":["site"]}}}}
```

## GET /site/organizations.csv

>

```json
{"openapi":"3.1.1","info":{"title":"uData API","version":"1.0"},"tags":[{"description":"Site global namespace","name":"site"}],"servers":[{"url":"http://www.data.gouv.fr/api/1"}],"paths":{"/site/organizations.csv":{"get":{"operationId":"get_site_organizations_csv","responses":{"200":{"description":"Success"}},"tags":["site"]}}}}
```

## GET /site/resources.csv

>

```json
{"openapi":"3.1.1","info":{"title":"uData API","version":"1.0"},"tags":[{"description":"Site global namespace","name":"site"}],"servers":[{"url":"http://www.data.gouv.fr/api/1"}],"paths":{"/site/resources.csv":{"get":{"operationId":"get_site_resources_csv","responses":{"200":{"description":"Success"}},"tags":["site"]}}}}
```

## GET /site/reuses.csv

>

```json
{"openapi":"3.1.1","info":{"title":"uData API","version":"1.0"},"tags":[{"description":"Site global namespace","name":"site"}],"servers":[{"url":"http://www.data.gouv.fr/api/1"}],"paths":{"/site/reuses.csv":{"get":{"operationId":"get_site_reuses_csv","responses":{"200":{"description":"Success"}},"tags":["site"]}}}}
```

## GET /site/tags.csv

>

```json
{"openapi":"3.1.1","info":{"title":"uData API","version":"1.0"},"tags":[{"description":"Site global namespace","name":"site"}],"servers":[{"url":"http://www.data.gouv.fr/api/1"}],"paths":{"/site/tags.csv":{"get":{"operationId":"get_site_tags_csv","responses":{"200":{"description":"Success"}},"tags":["site"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://guides.data.gouv.fr/api-de-data.gouv.fr/reference/site.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
